local frame = CreateFrame("Frame");
frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");

local playerClass, englishClass = UnitClass("player");

if ( englishClass == "ROGUE" and hetstatus == nil ) then
    hetstatus = "on";
else
    hetstatus = "off";
end

function HET_OnEvent(self, event, ...)
 if event == "COMBAT_LOG_EVENT_UNFILTERED" then
  local timestamp, combatEvent, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags =  ...;
  local timestamp,event,hideCaster,sourceGUID,sourceName,sourceFlags,sourceFlags2,destGUID,destName,destFlags,destFlags2,spellID,spellName= select ( 1 , ... );
  local eventPrefix, eventSuffix = combatEvent:match("^(.-)_?([^_]*)$");

  if (spellName == "Slice and Dice") and (eventPrefix == "SPELL_AURA") then
  	if (eventSuffix == "APPLIED") then
	  	lastTick = GetTime();
	  	nextTick = lastTick + 2;
		tickStat = "GO";
		HETBar:Show();
	end
  end

 if (spellName == "Slice and Dice") and (eventPrefix == "SPELL_AURA") then
  	if (eventSuffix == "REMOVED") then
		tickStat = "STOP"
		HETBar:Hide();
	end
  end 
end
end
frame:SetScript("OnEvent", HET_OnEvent);

local function HET_onUpdate(self,elapsed)

if (tickStat == "GO") then	
	if (UnitAffectingCombat("player")==nil) then
		flavTime = GetTime()
		remainder = (nextTick - flavTime);
		HETFrameStatusBar:SetValue(remainder);
		HETSpark:SetPoint("CENTER", "HETFrameStatusBar", "LEFT", HETFrameStatusBar:GetWidth() * (remainder / 2), 0);
	   if flavTime >= nextTick  then
	    nextTick = flavTime + 2;
		PlaySoundFile("Sound\\Character\\Footsteps\\mFootHugeGiantStoneC.wav");
	    end
	end
	end
end
 
frame:SetScript("OnUpdate", HET_onUpdate)